Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5116)
@@ -16856,24 +16709,24 @@
        
        
-       if ( k_ref .eq. 5 ) then     
-           if (lat_geo.ge.70.)                                  then
+       if ( k_ref .eq. 5 ) THEN
+           if (lat_geo.ge.70.)                                  THEN
                    d_xt_cosmo(ixt,i,k) = 2.6465E-6
            
-           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) then
+           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 2.6464E-6
                    
-           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) then
+           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 2.6389E-6
            
-           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) then
+           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 2.4846E-6
            
-           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) then
+           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 2.1965E-6
            
-           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) then
+           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.9785E-6
            
-           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) then
+           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.8177E-6
            
@@ -16885,24 +16738,24 @@
        
        
-       if ( k_ref .eq. 6 ) then     
-           if (lat_geo.ge.70.)                                  then
+       if ( k_ref .eq. 6 ) THEN
+           if (lat_geo.ge.70.)                                  THEN
                    d_xt_cosmo(ixt,i,k) = 3.4646E-6
            
-           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) then
+           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 3.4645E-6
                    
-           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) then
+           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 3.454E-6
            
-           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) then
+           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 3.2415E-6
            
-           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) then
+           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 2.851E-6
            
-           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) then
+           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 2.5595E-6
            
-           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) then
+           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 2.3444E-6
            
@@ -16914,24 +16767,24 @@
        
        
-       if ( k_ref .eq. 7 ) then     
-           if (lat_geo.ge.70.)                                  then
+       if ( k_ref .eq. 7 ) THEN
+           if (lat_geo.ge.70.)                                  THEN
                    d_xt_cosmo(ixt,i,k) = 4.5316E-6
            
-           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) then
+           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 4.5315E-6
                    
-           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) then
+           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 4.5166E-6
            
-           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) then
+           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 4.2244E-6
            
-           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) then
+           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 3.6958E-6
            
-           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) then
+           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 3.3062E-6
            
-           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) then
+           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 3.0191E-6
            
@@ -16943,24 +16796,24 @@
        
        
-       if ( k_ref .eq. 8 ) then     
-           if (lat_geo.ge.70.)                                  then
+       if ( k_ref .eq. 8 ) THEN
+           if (lat_geo.ge.70.)                                  THEN
                    d_xt_cosmo(ixt,i,k) = 5.9217E-6
            
-           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) then
+           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 5.9216E-6
                    
-           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) then
+           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 5.9006E-6
            
-           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) then
+           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 5.499E-6
            
-           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) then
+           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 4.7842E-6
            
-           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) then
+           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 4.2644E-6
            
-           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) then
+           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 3.8815E-6
            
@@ -16972,24 +16825,24 @@
        
        
-       if ( k_ref .eq. 9 ) then     
-           if (lat_geo.ge.70.)                                  then
+       if ( k_ref .eq. 9 ) THEN
+           if (lat_geo.ge.70.)                                  THEN
                    d_xt_cosmo(ixt,i,k) = 7.7309E-6
            
-           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) then
+           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 7.7307E-6
                    
-           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) then
+           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 7.701E-6
            
-           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) then
+           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 7.1498E-6
            
-           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) then
+           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 6.1842E-6
            
-           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) then
+           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 5.4915E-6
            
-           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) then
+           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 4.9818E-6
            
@@ -17001,21 +16854,21 @@
        
        
-       if ( k_ref .eq. 10 ) then     
-           if (lat_geo.ge.60.)                                  then
+       if ( k_ref .eq. 10 ) THEN
+           if (lat_geo.ge.60.)                                  THEN
                    d_xt_cosmo(ixt,i,k) = 1.0082E-5
                    
-           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) then
+           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.004E-5
            
-           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) then
+           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 9.2843E-6
            
-           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) then
+           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 7.9817E-6
            
-           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) then
+           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 7.0598E-6
            
-           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) then
+           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 6.3824E-6
            
@@ -17027,21 +16880,21 @@
        
        
-       if ( k_ref .eq. 11 ) then     
-           if (lat_geo.ge.60.)                                  then
+       if ( k_ref .eq. 11 ) THEN
+           if (lat_geo.ge.60.)                                  THEN
                    d_xt_cosmo(ixt,i,k) = 1.3135E-5
                    
-           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) then
+           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.3076E-5
            
-           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) then
+           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.204E-5
            
-           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) then
+           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.0285E-5
            
-           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) then
+           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 9.0599E-6
            
-           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) then
+           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 8.1612E-6
            
@@ -17053,21 +16906,21 @@
        
        
-       if ( k_ref .eq. 12 ) then     
-           if (lat_geo.ge.60.)                                  then
+       if ( k_ref .eq. 12 ) THEN
+           if (lat_geo.ge.60.)                                  THEN
                    d_xt_cosmo(ixt,i,k) = 1.7093E-5
                    
-           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) then
+           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.701E-5
            
-           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) then
+           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.5592E-5
            
-           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) then
+           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.3231E-5
            
-           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) then
+           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.1605E-5
            
-           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) then
+           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.0414E-5
            
@@ -17079,24 +16932,24 @@
        
        
-       if ( k_ref .eq. 13 ) then     
-           if (lat_geo.ge.70.)                                  then
+       if ( k_ref .eq. 13 ) THEN
+           if (lat_geo.ge.70.)                                  THEN
                    d_xt_cosmo(ixt,i,k) = 2.2217E-5
            
-           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) then
+           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 2.2216E-5
                    
-           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) then
+           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 2.21E-5
            
-           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) then
+           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 2.0162E-5
            
-           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) then
+           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.6989E-5
            
-           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) then
+           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.4835E-5
            
-           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) then
+           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.3261E-5
            
@@ -17108,24 +16961,24 @@
        
        
-       if ( k_ref .eq. 14 ) then     
-           if (lat_geo.ge.70.)                                  then
+       if ( k_ref .eq. 14 ) THEN
+           if (lat_geo.ge.70.)                                  THEN
                    d_xt_cosmo(ixt,i,k) = 2.8816E-5
            
-           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) then
+           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 2.8815E-5
                    
-           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) then
+           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 2.8652E-5
            
-           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) then
+           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 2.6002E-5
            
-           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) then
+           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 2.1746E-5
            
-           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) then
+           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.8898E-5
            
-           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) then
+           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.6822E-5
            
@@ -17137,24 +16990,24 @@
        
        
-       if ( k_ref .eq. 15 ) then     
-           if (lat_geo.ge.70.)                                  then
+       if ( k_ref .eq. 15 ) THEN
+           if (lat_geo.ge.70.)                                  THEN
                    d_xt_cosmo(ixt,i,k) = 3.7386E-5
            
-           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) then
+           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 3.7384E-5
                    
-           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) then
+           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 3.7157E-5
            
-           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) then
+           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 3.3546E-5
            
-           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) then
+           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 2.7847E-5
            
-           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) then
+           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 2.4084E-5
            
-           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) then
+           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 2.1349E-5
            
@@ -17166,24 +17019,24 @@
        
        
-       if ( k_ref .eq. 16 ) then     
-           if (lat_geo.ge.70.)                                  then
+       if ( k_ref .eq. 16 ) THEN
+           if (lat_geo.ge.70.)                                  THEN
                    d_xt_cosmo(ixt,i,k) = 4.8393E-5
            
-           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) then
+           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 4.8392E-5
                    
-           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) then
+           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 4.8073E-5
            
-           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) then
+           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 4.3156E-5
            
-           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) then
+           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 3.5536E-5
            
-           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) then
+           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 3.0578E-5
            
-           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) then
+           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 2.6983E-5
            
@@ -17195,24 +17048,24 @@
        
        
-       if ( k_ref .eq. 17 ) then     
-           if (lat_geo.ge.70.)                                  then
+       if ( k_ref .eq. 17 ) THEN
+           if (lat_geo.ge.70.)                                  THEN
                    d_xt_cosmo(ixt,i,k) = 6.2543E-5
            
-           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) then
+           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 6.2541E-5
                    
-           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) then
+           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 6.2097E-5
            
-           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) then
+           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 5.541E-5
            
-           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) then
+           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 4.5241E-5
            
-           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) then
+           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 3.8722E-5
            
-           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) then
+           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 3.4007E-5
            
@@ -17224,24 +17077,24 @@
        
        
-       if ( k_ref .eq. 18 ) then     
-           if (lat_geo.ge.70.)                                  then
+       if ( k_ref .eq. 18 ) THEN
+           if (lat_geo.ge.70.)                                  THEN
                    d_xt_cosmo(ixt,i,k) = 8.0696E-5
            
-           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) then
+           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 8.0693E-5
                    
-           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) then
+           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 8.0074E-5
            
-           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) then
+           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 7.0993E-5
            
-           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) then
+           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 5.7449E-5
            
-           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) then
+           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 4.8897E-5
            
-           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) then
+           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 4.273E-5
            
@@ -17253,24 +17106,24 @@
        
        
-       if ( k_ref .eq. 19 ) then     
-           if (lat_geo.ge.70.)                                  then
+       if ( k_ref .eq. 19 ) THEN
+           if (lat_geo.ge.70.)                                  THEN
                    d_xt_cosmo(ixt,i,k) = 1.0393E-4
            
-           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) then
+           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.0392E-4
                    
-           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) then
+           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.0306E-4
            
-           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) then
+           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 9.0753E-5
            
-           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) then
+           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 7.2752E-5
            
-           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) then
+           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 6.1561E-5
            
-           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) then
+           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 5.3513E-5
            
@@ -17282,21 +17135,21 @@
        
        
-       if ( k_ref .eq. 20 ) then     
-           if (lat_geo.ge.60.)                                  then
+       if ( k_ref .eq. 20 ) THEN
+           if (lat_geo.ge.60.)                                  THEN
                    d_xt_cosmo(ixt,i,k) = 1.3358E-4
                    
-           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) then
+           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.3238E-4
            
-           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) then
+           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.1573E-4
            
-           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) then
+           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 9.1859E-5
            
-           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) then
+           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 7.7254E-5
            
-           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) then
+           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 6.678E-5
            
@@ -17308,24 +17161,24 @@
        
        
-       if ( k_ref .eq. 21 ) then     
-           if (lat_geo.ge.70.)                                  then
+       if ( k_ref .eq. 21 ) THEN
+           if (lat_geo.ge.70.)                                  THEN
                    d_xt_cosmo(ixt,i,k) = 1.7134E-4
            
-           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) then
+           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.7133E-4
                    
-           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) then
+           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.6968E-4
            
-           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) then
+           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.4718E-4
            
-           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) then
+           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.1561E-4
            
-           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) then
+           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 9.661E-5
            
-           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) then
+           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 8.3017E-5
            
@@ -17337,24 +17190,24 @@
        
        
-       if ( k_ref .eq. 22 ) then     
-           if (lat_geo.ge.70.)                                  then
+       if ( k_ref .eq. 22 ) THEN
+           if (lat_geo.ge.70.)                                  THEN
                    d_xt_cosmo(ixt,i,k) = 2.1926E-4
            
-           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) then
+           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 2.1925E-4
                    
-           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) then
+           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 2.1696E-4
            
-           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) then
+           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.8664E-4
            
-           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) then
+           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.45E-4
            
-           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) then
+           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.2036E-4
            
-           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) then
+           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.0277E-4
            
@@ -17366,24 +17219,24 @@
        
        
-       if ( k_ref .eq. 23 ) then     
-           if (lat_geo.ge.70.)                                  then
+       if ( k_ref .eq. 23 ) THEN
+           if (lat_geo.ge.70.)                                  THEN
                    d_xt_cosmo(ixt,i,k) = 2.7986E-4
            
-           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) then
+           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 2.7984E-4
                    
-           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) then
+           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 2.7669E-4
            
-           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) then
+           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 2.3591E-4
            
-           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) then
+           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.8117E-4
            
-           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) then
+           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.4931E-4
            
-           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) then
+           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.2663E-4
            
@@ -17395,24 +17248,24 @@
        
        
-       if ( k_ref .eq. 24 ) then     
-           if (lat_geo.ge.70.)                                  then
+       if ( k_ref .eq. 24 ) THEN
+           if (lat_geo.ge.70.)                                  THEN
                    d_xt_cosmo(ixt,i,k) = 3.5619E-4
            
-           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) then
+           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 3.5617E-4
                    
-           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) then
+           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 3.5183E-4
            
-           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) then
+           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 2.9712E-4
            
-           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) then
+           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 2.2536E-4
            
-           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) then
+           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.8436E-4
            
-           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) then
+           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.552E-4
            
